LeetCode第一题(梦开始的地方)

题目:

给定一个整数数组 nums 和一个整数目标值 target,请你在该数组中找出 和为目标值 target  的那 两个 整数,并返回它们的数组下标。

你可以假设每种输入只会对应一个答案,并且你不能使用两次相同的元素。

你可以按任意顺序返回答案。

示例 1:

输入:nums = [2,7,11,15], target = 9
输出:[0,1]
解释:因为 nums[0] + nums[1] == 9 ,返回 [0, 1] 。

示例 2:

输入:nums = [3,2,4], target = 6
输出:[1,2]

示例 3:

输入:nums = [3,3], target = 6
输出:[0,1]

这题是一个很典型的使用哈希表的题目,一般第一时间想到的做法肯定是两个for循环进行遍历,但这样算法的时间复杂度已经到达了On的平方,这肯定不是我们想要的,所以我们可以使用哈希表来解决该题

class Solution {
    public int[] twoSum(int[] nums, int target) {
        int n = nums.length;
        HashMapmap = new HashMap<>();
        for(int i = 0;i

你可能感兴趣的:(leetcode,算法,数据结构)